#include "CExternalStuff.h"
#include "CControllers.h"
#include "NewFilter.h"

short* prevItem;

void ShowAboutBox(CAmadBase* theApplication, CResFileBase* theFile)
{
	CStandardModalController* theController = new CStandardModalController();
	CWindowBase* theBox = theApplication->CreateModalBox(201, true, theFile, theController, kAlert);
	theBox->Run();
	delete theBox;
	delete theController;
}

void ShowBox(CAmadBase* theApplication, CResFileBase* theFile, short theItem)
{
	CStandardModalController* theController = new CStandardModalController();
	CWindowBase* theBox = theApplication->CreateModalBox(200, true, theFile, theController);
	new CMenuButton(500, 1, theBox->GetItem(5)->GetPartRect(), theBox, theFile);
	new CControlPart(kControlLittleArrowsProc, "", theBox->GetItem(7)->GetPartRect(), theBox, 0, 7, 1000);
	
	theBox->WriteItem(4, "Item: %d", theItem);
	theBox->WriteItem(8, "Previous One: %d", *prevItem);
	theBox->Run();
	if (theController->WasOK()) {
		SysBeep(1);
		}
	delete theBox;
	delete theController;
}

pascal void main(CSoundBase* theSound, CWindowBase* SoundWindow, CAmadBase* theApplication, CResFileBase* theFile, short theItem, long *myData)
{
	prevItem = (short*)(*myData);
	switch (theItem) {
		case kInitFilter:
			prevItem = new short(0);
			*myData = (long)prevItem;
			break;
		case kReleaseFilter:
			delete prevItem;
			break;
		case kAboutItem:
			*myData = 1;
			ShowAboutBox(theApplication, theFile);
			break;
		case kEnableItem:
			*myData = 1;
			break;
		case 1:
		case 2:
		case 3:
			ShowBox(theApplication, theFile, theItem);
			*prevItem = theItem;
			break;
		}
}
