#ifndef CEXTERNALSTUFF
#define CEXTERNALSTUFF

#include "CBaseClasses.h"
#include "CUtilClasses.h"
#include "CConstants.h"
#include "CList.h"

#include "CParts.h"
#include "CParts2.h"
#include "CParts3.h"
#include "Indicators.h"

#include "CUtils.h"
#include "Compat.h"
#include "CCursor.h"

#include "FFT.h"
#include <string.h>

enum {
	kInitFilter			= -1,
	kReleaseFilter	= -2,
	kEnableItem		= -3,
	kAboutItem		= -4
	};

class CController {
protected:
	CWindowBase* theDialog;
public:
	CController() {theDialog = 0;}
	~CController() {}
public:
	virtual short DoEnable(short, short) {return false;}
	virtual short DoCommand(short, short) {return false;}

	virtual void OpenDialog(CWindowBase* dial) {theDialog = dial;}
	virtual void CloseDialog() {}
	virtual void DoIdle() {}
	
	virtual void HandleSelect(short) {}
	virtual short DoAction(short, long) {return false;}
	CWindowBase* GetWindow() {return theDialog;}
	};
	
class CFilter {
public:
	CFilter() {}
	~CFilter() {}
	
	virtual void ChangeSpectrum(CSpec*) = 0;
	};
	
class CTransform {
public:
	CTransform() {}
	~CTransform() {}
	
	virtual void Transform(long*, long, short) = 0;
	};
	

#endif