#ifndef CPARTS4
#define CPARTS4

#include "CParts.h"

class CResFileBase;
class CWindowBase;

#pragma mark CMenuButton	
class CListPart: public CRectPart{
	ListHandle theList;
	short doubleAction;
	short isActif;
protected:
	virtual void _Enable();
	virtual void _Disable();
	void _MakeList();
	void DrawFocus();
public:
	CListPart(Rect, CWindowBase*);
	~CListPart();
	
	virtual short WantFocus() {return true;}
	virtual void GiveFocus(short);
	virtual void TakeFocus();
	
	short GetSelection();
	void AddItem(string);
	
	virtual void DrawPart();
	virtual short DoKey(EventRecord*);
	virtual short DoClick(EventRecord*);
	void SetDoubleAction(short act) {doubleAction = act;}
	
	virtual short DrawBackground() {return false;}
};

#endif