#ifndef FFTH
#define FFTH

#include <complex.h>

#include "CUtils.h"

#define ComplexSize 16
#define RealSize 8

class CSoundBase;

class CSpec {
	CPtr *mDatas;
	long dataSize;
	short SizeLog;
public:
	CSpec(short);
	~CSpec();
	
	void FFT();
	void InvFFT();
	
	void CopyFromSound(CSoundBase*,long,short, short = 1);
	void CopyFromPtr(long, SoundCar, short);
	void CopyToSound(CSoundBase*,long,short, long, long);
	void MakeOverlap(short, long, short, long);
	CPtr *GetDatas() {return mDatas;}
	
	long GetSize() {return dataSize;}
	short GetSizeLog() {return SizeLog;}
	
	double MaxValue();
	void PutZeros(long, long);
	
	long GetAddress() {return mDatas->GetAddress();}
	
	complex<double> &operator[](long pos) \
		{return *(complex<double>*)(mDatas->GetAddress() + pos * ComplexSize);}
};

#endif