#include "CBaseClasses.h"
#include "CCursor.h"

CCursor::CCursor(short cursID, CResFileBase* theFile)
{
	SetCursor(cursID, theFile);
}

CCursor::~CCursor()
{
		InitCursor();
}

void CCursor::SetCursor(short cursID, CResFileBase* theFile)
{
	if ((cursID < 0 ) || (cursID == kPointer)) {
		InitCursor();
		return;
		}
	CCrsrHandle myCurs;
	if (theFile) {
		theFile->UseThisFile();
		myCurs = GetCCursor(cursID);
		theFile->UseHomeFile();
		}
	else
		myCurs = GetCCursor(cursID);
	SetCCursor(myCurs);
	DisposeCCursor(myCurs);
}

void CCursor::SetPointer()
{
	SetCursor(kPointer);
}