//#define DEBUGMEMORY

short finished = false;

#ifdef DEBUGMEMORY

void* operator new(size_t size)
{
	Ptr myPtr = NewPtr(size+4);
	OSType *sign = (OSType*)(myPtr);
	*sign = 'AmII';
	return (void*)(((long)myPtr)+4);
}

void operator delete(void* pointer)
{
	if (pointer == 0)
		return;
	Ptr myPtr = (Ptr)(((long)pointer)-4);
	OSType *sign = (OSType*)(myPtr);
	if (*sign == 'DISP')
		throw;
	if (*sign == 'AmII') {
		*sign = 'DISP';
		DisposePtr(myPtr);
		}
	else
		throw;
}

#else

void* operator new(size_t size)
{
	return (void*)NewPtr(size);
}

void operator delete(void* pointer)
{
	if (finished) return;
	if (pointer == 0) 
		return;
	DisposePtr((Ptr)pointer);
}

#endif